$NAME OColorer
'   OColorer.dll (c) , <metaeditor>, <shotfire@inbox.ru>

Dim OColorer

Const clSettings = 0
Const clBlack   = 1
Const clMaroon  = 128
Const clRed     = 255
Const clGreen   = 32768
Const clOlive   = 32896
Const clLime    = 65280
Const clYellow  = 65535
Const clNavy    = 8388608
Const clPurple  = 8388736
Const clTeal    = 8421376
Const clGray    = 8421504
Const clBlue    = 16711680
Const clFuchsia = 16711935
Const clAqua    = 16776960
Const clLtGray  = 12632256
Const clWhite   = 16777215
'    - RGB(R,G,B)
'RGB(0,0,255)   RGB(255,0,0) 

'==================  /- ===================
Sub CollapseAll()
	OColorer.CollapseAll
End Sub

'==================  /- =================
Sub ExpandAll()
	OColorer.ExpandAll
End Sub

'==================   ==============================
Sub JumpToPairBracket()
	OColorer.JumpToPairBracket
End Sub

'==================    ================
Sub SelectPairBlock()
	OColorer.SelectPairBlock
End Sub

'======    ,   ======
Sub SelectInnerBlock()
	OColorer.SelectInnerBlock
End Sub

'=======================================================================
Sub LoadColorScheme1()
	with OColorer
		'  ( )
		.OpenBracketBgColor = clSettings ' 
		.OpenBracketFrameColor = clBlue ' 
		.OpenBracketUnderLineColor = clBlue '  
		.OpenBracketFontColor = clBlue ' 

		'  ()
		.CloseBracketBgColor = clBlue
		.CloseBracketFrameColor = clBlue
		.CloseBracketUnderLineColor = clBlue
		.CloseBracketFontColor = clWhite
		
		.GutterColor = clLtGray ' 
		.GutterLineColor = clGray '     
		.MethodsBorderColor = clSettings ' ,  /  
		.BookMarkColor = clSettings ' 
	end with
End Sub

'=======================================================================
Sub LoadColorScheme2()
	with OColorer 
		.OpenBracketBgColor = clSettings ' 
		.OpenBracketFrameColor = clSettings ' 
		.OpenBracketUnderLineColor = clRed '  
		.OpenBracketFontColor = clSettings ' 

		.CloseBracketBgColor = clSettings
		.CloseBracketFrameColor = clRed
		.CloseBracketUnderLineColor = clRed
		.CloseBracketFontColor = clSettings

		.GutterColor = clSettings '  (    )
		.GutterLineColor = clSettings '     
		.MethodsBorderColor = clRed ' ,  /  
		.BookMarkColor = clSettings ' 
	end with
End Sub

'=======================================================================
'     VS2005
Sub LoadColorScheme3()
	with OColorer 
		.OpenBracketBgColor = clLtGray ' 
		.OpenBracketFrameColor = clSettings ' 
		.OpenBracketUnderLineColor = clLtGray '  
		.OpenBracketFontColor = clSettings ' 

		.CloseBracketBgColor = clLtGray
		.CloseBracketFrameColor = clSettings
		.CloseBracketUnderLineColor = clLtGray
		.CloseBracketFontColor = clSettings

		.GutterColor = RGB(236,233,216) ' 
		.GutterLineColor = clGray '     
		.MethodsBorderColor = clGray ' ,  /  
		.BookMarkColor = clSettings ' 
	end with
End Sub

'=======================================================================
Private Sub Init()
	On Error Resume Next
	Set OColorer = Plugins("OColorer")
	if OColorer Is Nothing Then
		message " ""OColorer""  ",mExclamation
		Scripts.UnLoad SelfScript.Name
		Exit Sub
	End If
	on error goto 0 

'         .
'  ,  ,  ,   .
'  ,         , 
'       .
'   LoadColorScheme1,LoadColorScheme2


' clSettings = 0
'clSettings          
'      , :
'OpenBracketFontColor = clSettings         (  )
'OpenBracketBgColor = clSettings       
'GutterColor = clSettings       
' 0        "",    1,   .

'        (--/), 
'        .
'           
'   (---   )
	
	'   .       .
	LoadColorScheme3() 'LoadColorScheme1/LoadColorScheme2
	
	
	' false         ,  true      
	OColorer.HighlightModeAlways = false 'true/false
End Sub

'=======================================================================
Init